#include <stdio.h>
#include <stdlib.h>
#include "crc.h"
#include "crc.c"

int main(int argc, char *argv[])
{
  char ch=0;
    
  printf("Premi un tasto per calcolare il CRC");   
  ch=getchar();
  printf("\n\r");
  
  // test  la Variabile su cui si calcola il CRC
  unsigned char  test[] = "0123456789forPC";


	/*
	 * Print the check value for the selected CRC algorithm.
	 */
	printf("The check value for the %s standard is 0x%X\n", CRC_NAME, CHECK_VALUE);
	
	/*
	 * Compute the CRC of the test message, slowly.
	 */
	printf("The crcSlow() of %s is 0x%X\n",test, crcSlow(test, strlen(test)));
	
	/*
	 * Compute the CRC of the test message, more efficiently.
	 */
	crcInit();
	printf("The crcFast() of %s is 0x%X\n",test, crcFast(test, strlen(test)));

  printf("\n\rPremi un tasto per TERMINARE");   
  ch=getchar();   
//  system("PAUSE");	

  return 0;
}
